Breadcrumbs switcher uses wrong ids on compute attributes detail page

04/12/2018 10:13 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5537,

https://github.com/theforeman/foreman/p

ull/5593

  

Description

Breadcrumbs on the compute attributes detail page are tricky. Switcher lists compute profiles, but in fact the page url requires

compute attribute id. As a result, the switcher links use compute profile ids in links to compute attributes. The links then lead to a

seemingly random compute attributes (often to non-existent ones).

The eract switcher component always expects ids to be in 'id' attribute. One possible solution could be adding 'idField' attribute (we

already have 'nameFiled') and enhance the compute profiles api with 'compute_attribute_id'. Alternatively we could use compute

attributes api and add 'compute_profile_name'.

Related issues:

Related to Foreman - Feature #22855: Add redux container for breadcrumb switcher Closed 03/12/2018

Related to Foreman - Bug #23525: add a breadcrumbs switcher in compute attrib... New 05/07/2018

Associated revisions

Revision 3d5cf7c9 - 05/08/2018 12:51 PM - Amir Fefer

Fixes #23248 - disable switcher in compute attributes

History

#1 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Feature #22855: Add redux container for breadcrumb switcher added

#2 - 05/07/2018 08:36 AM - Amir Fefer

- Related to Bug #23525: add a breadcrumbs switcher in compute attribute page added

#3 - 05/07/2018 08:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/5537 added

#4 - 05/08/2018 12:52 PM - Ohad Levy

- translation missing: en.field_release set to 330

setting to 1.18 as I believe we should cherry-pick this.

#5 - 05/08/2018 01:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 3d5cf7c9549b029a04905f0150c4d8eb5d17e49a.

#6 - 05/18/2018 02:05 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5593 added

#7 - 06/18/2018 08:57 PM - Walden Raines

- Target version deleted (219)
